@php
/*
24 May 2018 . Juan Pablo Sánchez Bracamontes . Vista principal del Buzón de solicitudes de referencia a hospitales
*/
    use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $Centro_Sal_Destino = '';
    

    if($CLUES_Destino!=''){
      $centro_salud_destino = $soapclient->AdministrarCatalogos_get_CentroSalud('', $CLUES_Destino,$wsClave);
      $CS_destino  = new SimpleXMLElement(utf8_encode($centro_salud_destino));
      $Centro_Sal_Destino = trim($CS_destino->respuesta[0]->centro_sal);
    }

    $usuario = $_SESSION['operador'];
    $id_doc = $var->desencriptar_AES($usuario['id_doc'], $usuario['x']);
    //$Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    //$Centro_Sal = trim($Centro_Sal);
    $centro_salud = $soapclient->AdministrarCatalogos_get_CentroSalud('', $CLUES_Destino,$wsClave);
    $CS  = new SimpleXMLElement(utf8_encode($centro_salud));
    //$nom_Centro_Sal  = $var->desencriptar_AES($usuario['nom_centrosal'], $usuario['x']);
    //$nom_Centro_Sal = trim(ucwords(strtolower($nom_Centro_Sal)));

    $Centro_Sal = trim($CS->respuesta[0]->centro_sal); // 03 Dic 2018 . Código agregado
    $nom_Centro_Sal  = utf8_decode($CS->respuesta[0]->centrosalud);

    $obj = $soapclient->ConsultaExterna_getLstPersonalDeReferencia($id_doc, '', '0', '',$wsClave);
    $Modulos = new SimpleXMLElement(utf8_encode($obj));
    





    $Nombre =    $var->desencriptar_AES($usuario['nombre_user'], $usuario['x']);
    $Apellido1 = $var->desencriptar_AES($usuario['apellido_user_1er'], $usuario['x']);
    $Apellido2 = $var->desencriptar_AES($usuario['apellido_user_2do'], $usuario['x']);
    $Encargado = trim($Nombre).' '.trim($Apellido1).' '.trim($Apellido2);
@endphp
@extends('layouts.app')

@section('title', 'Buzón de Referencias '.$nom_Centro_Sal)
@section('breadcrumb')
    <li class="active">Buzón de Referencias</li>
@endsection
@section('styles')
    <style>

  #mnuCtx_Usuarios #tblCTmenu tr:hover{
    font-weight: 600; 
    cursor: pointer;
    color: #00631b;
    font-size: 16px;  
  }

  #mnuCtx_Usuarios #tblCTmenu tr:active{    
    font-size: 16px;    
    background-color: #848587;
    color: #fff;
  }

    </style>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<script src="js/jquery-3.1.0.min.js"></script>
<script src="js/notify.js"></script>
<link rel="stylesheet" href="css/smoothness.datepick.css">

<link rel="stylesheet" href="css/jquery.datepick.css">
<script src="js/jquery.datepick.js"></script>
<script src="js/jquery.datepick-es.js"></script>

@section('content')

    <div class="row" id="consultaExterna_buzonRefer" name="consultaExterna_buzonRefer">


        <div class="box box-primary">
              <div class="box-header with-border">
                  <h3 class="box-title">Búsquedas</h3>
                  <div class="box-tools pull-right">
                      <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
                  </div>
              </div>

              <div class="box-body">
                  <div class="row" id="objConsultaReferencias" name="objConsultaReferencias">

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Centro de Salud</span>
                          <select style="width: 100%; " class="form-control" id="vCat_ConfCSRefPorUMED_porDestino" name="vCat_ConfCSRefPorUMED_porDestino"><option value="">Todos</option>
                          <?php /* {!! $var->getView('Catalogos\VistasController@vCat_ConfCSRefPorUMED_porDestino','Clues_destino= '.$CS->respuesta[0]->clues.'&asignar_Clues_solicitante='.$CLUES_Origen ); !!} */ ?>
                          <?php foreach($Modulos->respuesta AS $row){ echo '<option value="'.$row->clues_origen.'" '.( trim($row->clues_origen) === trim($CLUES_Origen) ? ' selected ' : '').'>'.$row->umed_origen.'</option>'; } ?>
                          </select>
                        </div>
                      </div>

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Especialidad</span>                          
                          <?php echo  $var->getView('Catalogos\VistasController@vCat_Especialidad','nomObj= vcat_especialidad_clv&Centro_Sal='.$Centro_Sal_Destino); ?>
                        </div>
                      </div>

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Tipo de Solicitud</span>
                          {!! $var->getView('Catalogos\VistasController@vCat_TipoSolicitud_Referencia',''); !!}
                        </div>
                      </div>

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Estatus</span>
                          {!! $var->getView('Catalogos\VistasController@vCat_EstatusReferencia',''); !!}
                        </div>
                      </div>

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" title="Proporciona el filtro para la búsqueda"style="background: #eee;"> <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-filter" viewBox="0 0 16 16">
                          <path d="M6 10.5a.5.5 0 0 1 .5-.5h3a.5.5 0 0 1 0 1h-3a.5.5 0 0 1-.5-.5zm-2-3a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7a.5.5 0 0 1-.5-.5zm-2-3a.5.5 0 0 1 .5-.5h11a.5.5 0 0 1 0 1h-11a.5.5 0 0 1-.5-.5z"></path>
                        </svg></span>                     
                          {!! $var->getView('Catalogos\VistasController@vCat_filtroBusqueda',''); !!}
                        </div>
                      </div>

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Inicio</span>
                          <input type="text" id="txtFechaIni" name="txtFechaIni" class="form-control" width="100%" height="100%" placeholder="[dd/mm/aaaa]" title="Proporciona la fecha de cierre del rango de búsqueda">
                        </div>
                      </div>
                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Cierre</span>
                          <input type="text" id="txtFechaFin" name="txtFechaFin" class="form-control" width="100%" height="100%" placeholder="[dd/mm/aaaa]" title="Proporciona la fecha de cierre del rango de búsqueda">
                        </div>
                      </div>
                      

                      <div class="col-sm-3 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee" title="Número de solicitud">No. Solicitud</span>                                                    
                          <input type="number" id="txtNoSolicitud" name="txtNoSolicitud" class="form-control" width="100%" height="100%" pattern="[0-9]*" min="1" placeholder="" title="Proporcione el número de solicitud a buscar" onkeypress="return SoloNumeros(event);">
                        </div>
                      </div>

                      <div class="col-sm-2 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Le&iacute;dos</span>
                          <span class="form-control"> <input type="checkbox" id="chkLeidos" name="chkLeidos" height="100%"> </span>
                        </div>
                      </div>

                      <div class="col-sm-2 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Sin observaciones en hospital</span>
                          <span class="form-control"> <input type="checkbox" id="chkSinObservaciones" name="chkSinObservaciones" height="100%"> </span>
                        </div>
                      </div>

                       <div class="col-sm-4 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee" title="Número de solicitud">Nombre del paciente</span>                                                    
                          <input type="text" id="txtNombre" name="txtNombre" class="form-control" width="100%" height="100%"  placeholder="Nombre PrimerApellido SegundoApellido" title="Proporcione el nombre del paciente a filtrar">
                        </div>
                      </div>
                      <div class="col-sm-4 form-group form-group-sm">
                        <div class="input-group input-group-sm">
                          <span class="input-group-addon" id="sizing-addon3" style="background: #eee" title="Observaciones de referencia">Observaciones</span>                                                    
                          <input type="text" id="txtObservacionesRefer" name="txtObservacionesRefer" class="form-control" width="100%" height="100%"  placeholder="" title="Proporcione observaciones a filtrar">
                        </div>
                      </div>

                      <div class="col-sm-12 row alinear_centrado">
                        <a href="#" id="btn_listar_bp" name="btn_listar_bp" class="btn btn-sm btn-primary"><span class="fa fa-search" aria-hidden="true" title="Buscar referencia"></span> Buscar</a>

                        <a href="administrar-micuenta" class="btn btn-sm  btn-sm btn-danger">Cancelar</a>
                        <a href="#" id="btn_imprimir_bp" name="btn_imprimir_bp" class="btn btn-sm  btn-sm btn-default">Imprimir</a>

                        <a href="#" id="btn_excel_bp" name="btn_excel_bp" class="btn btn-sm  btn-sm btn-success">REPORTE NOMINAL</a>
                      </div>

                  </div>
                  <div id="searchContainer_referencias" name="searchContainer_referencias" class="table-responsive"></div>
              </div>




          </div>

          <div class="box box-primary" id="objEditarReferencias" name="objEditarReferencias">
          <div class="box-header with-border">
            <h3 class="box-title">Editar Solicitud</h3>
            <div class="box-tools pull-right">
              <button id="cmdCloseEditSolicitud" name="cmdCloseEditSolicitud" type="button" class="btn btn-box-tool" data-widget="collapse"  aria-pressed="true"><i class="fa fa-minus"></i></button>
            </div>
          </div>
        </div> <?php /* fin de objEditarReferencias */ ?>

        

        <!-- Modal -->

              <div class="modal fade" id="defaultModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" style="background: #fff;">
                 <div class="modal-dialog modal-lg" role="document">
                    <div id="modalContent" name="modalContent" class="modal-content">X
                    </div>
                 </div>
              </div>



           <div class="modal fade" id="objObservaciones" style="background: #fff;" >
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <!--Header -->
                  <div class="modal-header">
                    <button tyle="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                     <h4 class="modal-title">
                     <!-- <p>REFERENCIAS</p>-->
                     </h4>
                  </div>
                <!--contenido -->
                   <div class="modal-body" id="modalContenidoObservaciones" name="modalContenidoObservaciones">
                  </div>
                
                 <!--Footer -->
                 <div class="modal-footer" style="text-align:center;" >
                 </div>

              </div>
             </div>

           </div>



        <!-- Agregar modal para armar formato de impresión -->
        <!-- agregar iframe, y el iframe agregar en href  -->

           <div class="modal fade" id="objImprimirReferencias" >
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <!--Header -->
                  <div class="modal-header">
                    <button tyle="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                     <h4 class="modal-title">
                     <!-- <p>REFERENCIAS</p>-->
                     </h4>
                  </div>
                <!--contenido -->
                   <div class="modal-body" id="modalContenido" name="modalContenido">
                  </div>
                
                 <!--Footer -->
                 <div class="modal-footer" style="text-align:center;" >
                 </div>

              </div>
             </div>

           </div>


      </div>

@endsection

@section('scripts')

  <script type="text/javascript">

    var reg_seleccionado = {clave_pac: '', id_solicitud: '', clues_origen: '', id_doc: '',  centro_sal: ''};    

    function setInicio() {
      $('#objEditarReferencias').hide(100);

      $("#mnuCtx_Usuarios").css("display", "none");
    };
    function SmoothScrollTo(id_or_Name, timelength=500){            
      $('html, body').animate({
        scrollTop: $(id_or_Name).offset().top-70
      }, timelength, function(){
        window.location.hash = id_or_Name;
      });
    };

    var ordenamiento = 'asc';

    function sortTable(obj, n, type) {
      var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0;
      table = document.getElementById(obj);
      switching = true;
      
      dir = "asc"; 
      
      while (switching) {
        
        switching = false;
        rows = table.rows;
        
        for (i = 1; i < (rows.length - 1); i++) {
          
          shouldSwitch = false;          
          x = rows[i].getElementsByTagName("TD")[n];
          y = rows[i + 1].getElementsByTagName("TD")[n];
          
          if(type == 2){
            if (dir == "asc") {
              if (x.innerHTML.toLowerCase() > y.innerHTML.toLowerCase()) {      
                shouldSwitch= true;
                break;
              }
            } else if (dir == "desc") {
              if (x.innerHTML.toLowerCase() < y.innerHTML.toLowerCase()) {
        
                shouldSwitch = true;
                break;
              }
            }
          }else{
            if (dir == "asc") {
              if (Number(x.innerHTML) > Number(y.innerHTML)) {
                shouldSwitch= true;
                break;
              }
            } else if (dir == "desc") {
              if (Number(x.innerHTML) < Number(y.innerHTML)) {        
                shouldSwitch = true;
                break;
              }
            }
          }
          
        }
        if (shouldSwitch) {
          /*If a switch has been marked, make the switch
          and mark that a switch has been done:*/
          rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
          switching = true;
          //Each time a switch is done, increase this count by 1:
          switchcount ++;      
        } else {
          /*If no switching has been done AND the direction is "asc",
          set the direction to "desc" and run the while loop again.*/
          if (switchcount == 0 && dir == "asc") {
            dir = "desc";
            switching = true;
          }
        }
      }
    };

    
    $(document).on("click", "#tbl_sol_referencias th", function(){  //se invoca el boton que se crea en el formulario modal
      if(this.dataset.col){        
        sortTable('tbl_sol_referencias', this.dataset.col, this.dataset.tipo);
      }            
    });

    $(document).ready(function(){
      setTimeout(setInicio, 500);
      $('#txtFechaIni').datepick({dateFormat: 'dd/mm/yyyy'});
      $('#txtFechaFin').datepick({dateFormat: 'dd/mm/yyyy'});
      

      //$('#objConsultaReferencias'+' #vCat_ConfCSRefPorUMED_porDestino').append('<option value="" selected="selected">TODOS</option>');
      $('#objConsultaReferencias'+' #vCat_EstatusReferencia').append('<option value="NULL" selected="selected">Todas</option>');
      $('#objConsultaReferencias'+' #vCat_TipoSolicitud_Referencia').append('<option value="NULL" selected="selected">TODOS</option>');



      $(document).on("click", "#btn_listar_bp", function(){   
        $('#objEditarReferencias').hide(100);
        
        $("#mnuCtx_Usuarios").css("display", "none");
        var tipo_filtro = $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').val();      
        if(tipo_filtro =='' ){
          $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').focus();
          $.notify("Favor de especificar el tipo de filtro para la búsqueda", "error");
          return false;
          
        }

        var leidos = 'NULL'; if($("#chkLeidos").is(':checked')) leidos = '1';
        var sinobservaciones = 'NULL'; if($("#chkSinObservaciones").is(':checked')) sinobservaciones = '1'; 
        var parametros = {
          CLUES: '{!! $CS->respuesta[0]->clues !!}',
          CLUES_solicitante: $('#objConsultaReferencias'+' #vCat_ConfCSRefPorUMED_porDestino').val(),
          status: $('#objConsultaReferencias'+' #vCat_EstatusReferencia').val(),
          fecha_inicio: $('#objConsultaReferencias'+' #txtFechaIni').val(),
          fecha_termino: $('#objConsultaReferencias'+' #txtFechaFin').val(),
          tipo_solicitud: $('#objConsultaReferencias'+' #vCat_TipoSolicitud_Referencia').val(),
          leido: leidos, sinobservaciones: sinobservaciones, especialidad: $('#objConsultaReferencias'+' #vcat_especialidad_clv').val(),
          tipo_filtro: $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').val() , no_solicitud: $('#objConsultaReferencias'+' #txtNoSolicitud').val(),  nombre: $('#objConsultaReferencias'+' #txtNombre').val(), observaciones: $('#objConsultaReferencias'+' #txtObservacionesRefer').val()
        };

        jqGetAjaxShort("ConsultaExterna_getLstReferencias","searchContainer_referencias", parametros);

      });




      $('#btn_imprimir_bp').click(function(){
        
        
        var leidos = 'NULL'; if($("#chkLeidos").is(':checked')) leidos = '1';
        var sinobservaciones = 'NULL'; if($("#chkSinObservaciones").is(':checked')) sinobservaciones = '1'; 
        var parametros = {
          CLUES: '{!! $CS->respuesta[0]->clues !!}',
          CLUES_solicitante: $('#objConsultaReferencias'+' #vCat_ConfCSRefPorUMED_porDestino').val(),
          status: $('#objConsultaReferencias'+' #vCat_EstatusReferencia').val(),
          fecha_inicio: $('#objConsultaReferencias'+' #txtFechaIni').val(),
          fecha_termino: $('#objConsultaReferencias'+' #txtFechaFin').val(),
          tipo_solicitud: $('#objConsultaReferencias'+' #vCat_TipoSolicitud_Referencia').val(),
          leido: leidos, sinobservaciones: sinobservaciones, especialidad: $('#objConsultaReferencias'+' #vcat_especialidad_clv').val(),
           tipo_filtro: $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').val(), no_solicitud: $('#objConsultaReferencias'+' #txtNoSolicitud').val(), nombre: $('#objConsultaReferencias'+' #txtNombre').val()
        };
        
        jqGetAjax_Modal("referencia/impime_solicitudes_referencia_pdf","modalContenido", parametros, 'objImprimirReferencias');

      });


      $('#btn_excel_bp').click(function(){    
        
        var leidos = 'NULL'; if($("#chkLeidos").is(':checked')) leidos = '1';
        var sinobservaciones = 'NULL'; if($("#chkSinObservaciones").is(':checked')) sinobservaciones = '1';
        var parametros = {
          CLUES: '{!! $CS->respuesta[0]->clues !!}',
          CLUES_solicitante: $('#objConsultaReferencias'+' #vCat_ConfCSRefPorUMED_porDestino').val(),
          status: $('#objConsultaReferencias'+' #vCat_EstatusReferencia').val(),
          fecha_inicio: $('#objConsultaReferencias'+' #txtFechaIni').val(),
          fecha_termino: $('#objConsultaReferencias'+' #txtFechaFin').val(),
          tipo_solicitud: $('#objConsultaReferencias'+' #vCat_TipoSolicitud_Referencia').val(),
          leido: leidos, sinobservaciones: sinobservaciones, especialidad: $('#objConsultaReferencias'+' #vcat_especialidad_clv').val(),
          tipo_filtro: $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').val(), no_solicitud: $('#objConsultaReferencias'+' #txtNoSolicitud').val(), nombre: $('#objConsultaReferencias'+' #txtNombre').val()
        };

        openWindowWithPostRequest('referencia/genera_solicitudes_referencia_csv',parametros, 'resizable=no,height=200,width=200,location=0,menubar=0,scrollbars=0', true);        

      });

    });

    function viewSolicitudReferencia(id_solicitud, clues_origen, editables) {
      var parametros = {"id_solicitud": id_solicitud, "clues_origen": clues_origen, "editable": '0' };// 11 Jul 2018 . Parametros finales
      jqGetAjaxShort("referencia/mostrarUpSolicitudReferencia","objEditarReferencias", parametros);
      $('#objEditarReferencias').show(200);
    };

   var listarObservacionesRef = function(id_solicitud, clues_origen, editables){
      //console.log({id_solicitud, clues_origen, editables});
        jqGetAjax_Modal("referencia/getLstObservacionesDeReferencia","modalContenidoObservaciones", {'id_solicitud': id_solicitud, 'clues_origen': clues_origen, 'editables': editables, 'imprimeObjeto': '1', 'consulta_hospital': '1' }, 'objObservaciones');

       
      };

        

   //20 Septiembre 2018 Janeth Cuevas M.
    function viewImprimirReferencia(id_solicitud, clues_origen) {
      var parametros = {"id_solicitud": id_solicitud, "clues_origen": clues_origen, "editable": '0' };
       //se envian los parametros por POST a la funcion imprime referencia de formularios controller
        jqGetAjax_Modal("referencia/impime_referencia_pdf","modalContenido", parametros, 'objImprimirReferencias');


    };
  // 20 de noviembre 2018 janeth cuevas Estas funciones
  function recargarObservacion() {

        var id_solicitud = $('#modalObservaciones #h_id_solicitud').val();
        var clues_origen = $('#modalObservaciones #h_clues_origen').val();
        var editable = $('#modalObservaciones #h_editable').val();

      //$('#consultaExterna_buzonRefer #objConsultaReferencias #btn_listar_bp').click();  //funcion para invocar el evento de listar
        var comando = `  
         var id_solicitud = $('#modalObservaciones #h_id_solicitud').val();
        var clues_origen = $('#modalObservaciones #h_clues_origen').val();
        var editable = $('#modalObservaciones #h_editable').val();
          listarObservacionesRef(id_solicitud, clues_origen,editable);
        `; 

        

        $("#mnuCtx_Usuarios").css("display", "none");
        var tipo_filtro = $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').val();      
        if(tipo_filtro =='' ){
          $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').focus();
          $.notify("Favor de especificar el tipo de filtro para la búsqueda", "error");
          return false;
          
        }

        var leidos = 'NULL'; if($("#chkLeidos").is(':checked')) leidos = '1';
        var sinobservaciones = 'NULL'; if($("#chkSinObservaciones").is(':checked')) sinobservaciones = '1';
        var parametros = {
          CLUES: '{!! $CS->respuesta[0]->clues !!}',
          CLUES_solicitante: $('#objConsultaReferencias'+' #vCat_ConfCSRefPorUMED_porDestino').val(),
          status: $('#objConsultaReferencias'+' #vCat_EstatusReferencia').val(),
          fecha_inicio: $('#objConsultaReferencias'+' #txtFechaIni').val(),
          fecha_termino: $('#objConsultaReferencias'+' #txtFechaFin').val(),
          tipo_solicitud: $('#objConsultaReferencias'+' #vCat_TipoSolicitud_Referencia').val(),
          leido: leidos, sinobservaciones: sinobservaciones, especialidad: $('#objConsultaReferencias'+' #vcat_especialidad_clv').val(),
          tipo_filtro: $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').val() , no_solicitud: $('#objConsultaReferencias'+' #txtNoSolicitud').val()
        };

        jqGetAjaxShort_exec("ConsultaExterna_getLstReferencias","searchContainer_referencias", parametros, false, comando);
        
      
      
    
    };


//13  Feb 2019 Janeth Cuevas M. -Función para buscar Paciente y vincular registro de solicitud referencia
  function viewBuscarPacienteReferenciado(id_solicitud, clues_origen) {
      var parametros = {"id_solicitud": id_solicitud, "clues_origen": clues_origen };

      jqGetAjaxShort("referencia/pacientes","objEditarReferencias",parametros);
      $('#objEditarReferencias').show(200);
      SmoothScrollTo('#objEditarReferencias');
    };


    $(document).on("click", "#cmdNuevaObservacion", function(){  //se invoca el boton que se crea en el formulario modal
     var id_solicitud = $('#modalObservaciones #h_id_solicitud').val();
     var clues_origen = $('#modalObservaciones #h_clues_origen').val();
     var clues_destino = $('#modalObservaciones #h_clues_destino').val();
     var xcomentario = $('#objObservacion #txtNuevaObservacion').val();
     var id_doc = $('#modalObservaciones #h_id_doc').val();
     //console.log({id_solicitud, clues_origen, id_doc, xcomentario});
     
      var comando = `
        var error = $('#objObservacion #divObservacion #hError').val();
        var descripcionError= $('#objObservacion #divObservacion #hErrorTitulo').val();
        if(error == '0'){
          $('#consultaExterna_buzonRefer #objConsultaReferencias #btn_listar_bp').click();  //funcion para 
          setTimeout(recargarObservacion, 500);
           
          
          
        } else{
         
            
          $.notify(descripcionError , "error");
        
          }


              
        
        `; 

     jqGetAjaxShort_exec('referencia/add_ObservacionesDeReferencia', 'divObservacion', { "id_solicitud" : id_solicitud, "clues_origen" : clues_origen, "id_doc" : id_doc, "comentoOrigen" : 0, "comentario" : xcomentario, "clues_destino": clues_destino }, false, comando
        );


  

    });




  //16 Ene 19 Janeth Cuevas M.
    var cancelarReferencia = function(id_solicitud, clues_origen, editables){

        jqGetAjax_Modal("referencia/cancelar_SolicitudReferencia","modalContent", {'id_solicitud': id_solicitud, 'clues_origen': clues_origen, 'editables': editables, 'imprimeObjeto': '1' }, 'defaultModal');


      };


   // 17 de Ene 19 janeth cuevas Estas funciones
  function recargarReferencias() {

        var id_solicitud = $('#modalCancelarRefer #h_id_solicitud').val();
        var clues_origen = $('#modalCancelarRefer #h_clues_origen').val();
        var editable = $('#modalCancelarRefer #h_editable').val();
 
      $('#btn_listar_bp').click();  //funcion para invocar el evento de listar

      cancelarReferencia(id_solicitud, clues_origen,editable);

     
    };

    // 
  function recargarBusqueda() {
    //$('#objEditarReferencias').hide(100);
        
        $("#mnuCtx_Usuarios").css("display", "none");

        var leidos = 'NULL'; if($("#chkLeidos").is(':checked')) leidos = '1';
        var sinobservaciones = 'NULL'; if($("#chkSinObservaciones").is(':checked')) sinobservaciones = '1';
        var parametros = {
          CLUES: '{!! $CS->respuesta[0]->clues !!}',
          CLUES_solicitante: $('#objConsultaReferencias'+' #vCat_ConfCSRefPorUMED_porDestino').val(),
          status: $('#objConsultaReferencias'+' #vCat_EstatusReferencia').val(),
          fecha_inicio: $('#objConsultaReferencias'+' #txtFechaIni').val(),
          fecha_termino: $('#objConsultaReferencias'+' #txtFechaFin').val(),
          tipo_solicitud: $('#objConsultaReferencias'+' #vCat_TipoSolicitud_Referencia').val(),
          leido: leidos, sinobservaciones: sinobservaciones, especialidad: $('#objConsultaReferencias'+' #vcat_especialidad_clv').val(),
          tipo_filtro: $('#objConsultaReferencias'+' #vCat_TipoBusquedaFecha').val(),
          no_solicitud: $('#objConsultaReferencias'+' #txtNoSolicitud').val()
        };
        
        jqGetAjaxShort("ConsultaExterna_getLstReferencias","searchContainer_referencias", parametros);

    };


   $(document).on("click", "#cmdComentarioCancelacion", function(){  //se invoca el boton que se crea en el formulario modal
    var id_solicitud = $('#modalCancelarRefer #h_id_solicitud').val();
    var clues_origen = $('#modalCancelarRefer #h_clues_origen').val();
    var id_doc = $('#modalCancelarRefer #h_id_doc').val();
    var xcomentario = $('#objComentario #txtComentario').val();
  //  console.log({id_solicitud, clues_origen, id_doc, xcomentario});

    jqGetAjaxShort("referencia/add_ComentarioCancelacionReferencia","divComentario", { "id_solicitud" : id_solicitud, "clues_origen" : clues_origen, "id_doc" : id_doc, "comentario" : xcomentario});

   //console.log({id_solicitud, clues_origen, id_doc, xcomentario});
    setTimeout(recargarReferencias, 500); // timer para recargar el contenido

    });

    $(document).on('mouseenter', "#objEditarReferencias #resultadosContainer .tr_clave_pac_find", function (e) {
        posicion = $(this).position();
    });

    $(document).on('mouseleave', "#objEditarReferencias #resultadosContainer .tr_clave_pac_find", function (e) {
        posicion = $(this).position();
    });

    
    $(document).on('click', '#divBusquedaPac #btn_buscar_bp', function () {
      $('#mnuCtx_Usuarios #mnuCtx_Usuarios_close').click();
    });

    $(document).on('click', '#mnuCtx_Usuarios #mnuCtx_Usuarios_close', function () {
      $("#mnuCtx_Usuarios").css("display", "none");        
      reg_seleccionado = {clave_pac: '', id_solicitud: '', clues_origen: '', id_doc: '',  centro_sal: ''};
    });

    $(document).on('click', '#objEditarReferencias #resultadosContainer .tr_clave_pac_find', function () { 
      $("#mnuCtx_Usuarios").css("top", posicion.top + 10 );      
      $("#mnuCtx_Usuarios").css("display", "block");

      reg_seleccionado = {clave_pac: this.dataset.clave_pac, id_solicitud: $('#objEditarReferencias #h_id_solicitud').val(), clues_origen: $('#objEditarReferencias #h_clues_origen').val(), centro_sal: $('#objEditarReferencias #h_centro_sal').val(), imprimeObjeto: '1'};
    });

    $(document).on('click', '#mnuCtx_Usuarios #tblCTmenu_opcComp', function () {      
      jqGetAjax_Modal("referencia/comparar_PacienteConReferencia","modalContent", reg_seleccionado, 'defaultModal');
    });
    

    // 01 Oct 2019 . LI Juan Pablo Sánchez Bracamontes . Evento disparador clic de la tabla de la busqueda de los pacientes recuperados
      /*$(document).on('dblclick', '#objEditarReferencias #resultadosContainer .tr_clave_pac_find', function () {    
         $('#testDebug').show();
        var clave_pac = '' + $(this).data('clave_pac');
        var id_solicitud = $('#objEditarReferencias #h_id_solicitud').val();
        var clues_origen = $('#objEditarReferencias #h_clues_origen').val();
        var id_doc = $('#objEditarReferencias #h_id_doc').val();
        var centro_sal = $('#objEditarReferencias #h_centro_sal').val();
           
        
        //console.log({clave_pac, id_solicitud, clues_origen, id_doc, centro_sal});
    
        jqGetAjaxShort('Agenda_solicitarCita', 'testDebug', {
          centro_sal: centro_sal,
          clave_pac: clave_pac,
          id_solicitud: id_solicitud,
          clues_origen: clues_origen,
          btngrabar: '1',
          btnborrar: '1',
          ver_como_ventana: '0',
          btndetalles: '1',
          btninsertar: '1'
          }
        );
    

      });*/

      $(document).on('click', '#objBuscarPaciente #resultadosContainer .tr_clave_pac_find .cmd_seleccionar_paciente', function () {        
        $('#testDebug').show();
        
        
        setTimeout(function(){$('#mnuCtx_Usuarios #mnuCtx_Usuarios_close').click();}, 500);

        var clave_pac = '' + this.dataset.clave_pac;
        var id_solicitud = $('#objEditarReferencias #h_id_solicitud').val();
        var clues_origen = $('#objEditarReferencias #h_clues_origen').val();
        var id_doc = $('#objEditarReferencias #h_id_doc').val();
        var centro_sal = $('#objEditarReferencias #h_centro_sal').val();
           
        jqGetAjaxShort('Agenda_solicitarCita', 'testDebug', {
          centro_sal: centro_sal,
          clave_pac: clave_pac,
          id_solicitud: id_solicitud,
          clues_origen: clues_origen,
          btngrabar: '1',
          btnborrar: '1',
          ver_como_ventana: '0',
          btndetalles: '1',
          btninsertar: '1',
          btnVacunacion: '0', 
          btnReporteVacunacion: '0',
          btnImprimirCita: '1'
          
          }
        );


      });


//***************************************--GUARDAR--*****************************************

    $(document).on('click', '#objBuscarPaciente #resultadosContainer #divCmdRegistrar_pac #cmdRegistrar_pac', function () {
      

      var Derechohabiencia = $('#edit_vCat_Derechohabiencia #vCat_Derechohabiencia').val();
      var folio = $('#folio_afiliacion #txtFolio').val();
      var Consecutivo = $('#folio_afiliacion #txtConsecutivo').val(); 
      var VigenciaIni = $('#vigencia #txtVigenciaIni').val(); 
      var VigenciaFin = $('#txtVigenciaFin').val();
      var NExp ='';  
      var tipo = '1';


     if(Derechohabiencia =='')
     {
      $.notify("Favor de especificar -Derechohabiencia-");
      $("#edit_vCat_Derechohabiencia #vCat_Derechohabiencia").focus();
      return false  

     }


      if((Derechohabiencia =='0' || Derechohabiencia=='15') && ($("#folio_afiliacion #txtFolio").val().length < 10) ){
            $.notify("Favor de capturar -Folio Seguro Popular-");
            $("#folio_afiliacion #txtFolio").focus();
            return false  

        } 

   
       
      
      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (Consecutivo < 1 || Consecutivo =='')) {
        $.notify("Favor de capturar -Consecutivo- de folio de afiliación");
        $("#folio_afiliacion #txtConsecutivo").focus();
         return false  

      }
  
      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (VigenciaIni.length != 10)) {
        $.notify("Favor de capturar -Inicio de Vigencia-");
        $("#txtVigenciaIni").focus();
         return false  

      }

      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (VigenciaFin.length != 10)) {
        $.notify("Favor de capturar -Fin de Vigencia-");
        $("#txtVigenciaFin").focus();
         return false  

      }

      var Curp = $('#curp #txtCurp').val();
      /*  if(Curp.length < 18){
        $.notify("Es necesario que proporcione -Curp-", "error");
        $('#curp #txtCurp').focus();
        return false; 
      } */

      //var EntidadAfiliacion = $('#entidad_afiliacion #vCat_Entidades').val();
      var Certificado_nac = $('#CUN').val();
      var GpoSanguineo = $('#vCat_GrupoSanguineo').val();
      var Dificultad = $('#edit_vCat_Dificultad #vCat_Dificultad').val();  

      var GradoDificultad = $('#edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val();  
      var OrigenDificultad = $('#edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val();  
      var Dependencia = $('#vCat_Dependencia').val();  
      var Programa = $('#vCat_Programa').val(); 
      var TipoBeneficiario = $('#vCat_TipoBeneficiario').val();

      var Ocupacion = $('#vCat_Ocupacion').val();
      var Religion = $('#vCat_Religion').val();
      var Nacionalidad = $('#vCat_Nacionalidad').val();
      var EntidadNacimiento = $('#edit_vCat_Entidades_nac #vCat_Entidades').val();  
      
      var HablaLengInd = $('input:radio[name=hablaLengInd]:checked').val();

      if (HablaLengInd === undefined){
        HablaLengInd = 3;  }
      else   {
         HablaLengInd = HablaLengInd;
      } 
      
      var TipoLengua = $('#lenguasIndDiv #vCat_LenguasIndigenas').val();  
      var Nombres = $('#txtNombres').val();
      var PrimerAp = $('#txtPrimerAp').val();
      var SegundoAp = $('#txtSegundoAp').val();
      var FNac = $('#txtFNac').val();
      var HoraNac = $('#HoraNac').val();
      var Sexo = $('#edit_vCat_Sexo #vCat_Sexo').val();  
      var Genero = $('#edit_vCat_Genero #vCat_Genero').val();
      var SexoCurp = $('#edit_vCat_SexoCurp #vCat_SexoCurp').val();   
      var PerteneceIndigena = $('#indigena').val();
      var PerteneceMigrante = $('#migrante').val();
      var PerteneceProspera = $('#prospera').val();
      var migrante = $('#edit_vCat_TipoMigrante #vCat_TipoMigrante').val(); 
      var paisProcedencia = $('#edit_vCat_PaisProcedencia #vCat_Nacionalidad').val(); 
      var SeConsideraIndigena = $('#edit_vCat_SeConsideraIndigena #vCat_SeConsideraIndigena').val(); 
      var afromexicano = $('#edit_vCat_Afromexicano #vCat_Afromexicano').val(); 

      var FolioProspera = '0';
      var ConsecutivoProspera = '0'; 
      var Pais = $('#tab_1 #vCat_Paises').val();
      var EntidadFederativa = $('#tab_1 #edit_vCat_Entidades_fed #vCat_Entidades').val();  
      var MunicipioDom = $('#tab_1 #edit_vCat_Municipio_dom #vCat_Municipios').val();  
      var LocalidadDom = $('#tab_1 #edit_vCat_Localidad_dom #vCat_Localidad').val();  
      if (LocalidadDom === undefined){
        LocalidadDom = $('#tab_1 #edit_vCat_Localidad_dom #vCat_Localidades').val();  }
      else   {
         LocalidadDom = LocalidadDom;
      } 

      var AceptaVisitaDom = $('#tab_1 #AceptaVisitaDom').val();  
      var CodigoPostal = $('#tab_1 #edit_vCat_CPostal_dom #vCat_CodigosPostales').val();
      if (CodigoPostal === undefined){
        CodigoPostal=''; }
      else   {
         CodigoPostal = CodigoPostal.substring(0, 5);
      } 
     
      var TipoAsentamiento = $('#tab_1 #edit_vCat_TipoAsent_dom #vCat_TipoAsentamiento').val();
      var Asentamiento = $('#tab_1 #edit_vCat_Asentamiento_dom #vCat_Asentamientos').val();  
      var TipoVialidad = $('#tab_1 #edit_vCat_TipoVialidad_dom #vCat_TipoVialidad').val();  
      var Calle = $('#tab_1 #txtCalle').val();
      
      var NumExterior = $('#tab_1 #txtNExt').val();
      var LetraExterior = $('#tab_1 #txtNExtL').val();
      var NumInterior = $('#tab_1 #txtNInt').val();
      var LetraInterior = $('#tab_1 #txtNIntL').val();
      var EntreCalles = $('#tab_1 #txtEntreCalles').val();
      var ClaveCatastral = $('#tab_1 #claveCatastralResidencia').val();
      var Telefono = $('#tab_1 #txtTelefono').val();
      var Celular = $('#tab_1 #txtCelular').val();
      var Email =  $('#tab_1 #txtEmail').val();

      if (Programa === undefined){
        Programa='';
      } 

      if (Asentamiento === undefined){
        Asentamiento='';
      } 
      if (Certificado_nac ==''){
       Certificado_nac ='';
      }
     
     if (FolioProspera =='0'){
       FolioProspera ='';
      }

       if ($('#AceptaVisitaDom').prop('checked')) {
           AceptaVisitaDom ='1';
           } else {
            AceptaVisitaDom ='0';
           }

       



     /* if (EntidadAfiliacion ==''){
        $.notify("Favor de capturar -Entidad de Afiliación-");
         $("#entidad_afiliacion #vCat_Entidades").focus();
        return false
      }

      if (TipoBeneficiario ==''){
        $.notify("Favor de capturar -Tipo de Beneficiario-");
         $("#vCat_TipoBeneficiario").focus();
        return false
      } */

      if (EntidadNacimiento ==''){
        $.notify("Favor de capturar -Entidad de Nacimiento-");
         $("#edit_vCat_Entidades_nac #vCat_Entidades").focus();
        return false
      }

      if (Nacionalidad ==''){
        $.notify("Favor de capturar -Nacionalidad-");
         $("#vCat_Nacionalidad").focus();
        return false
      }

    
 

      if(Nombres.length < 2){
        $.notify("Es necesario que proporcione -Nombre completo-", "error");
        $('#txtNombres').focus();
        return false;
      } 
    
     if(PrimerAp.length < 2){
        $.notify("Es necesario que proporcione -Primer Apellido-", "error");
        $('#txtPrimerAp').focus();
        return false;
      } 
     

      if(FNac.length < 10){
        $.notify("Es necesario que proporcione -Fecha de Nacimiento-", "error");
        $('#txtFNac').focus();
        return false;
      } 

      if (Sexo ==''){
        $.notify("Favor de capturar -Sexo biológico-");
         $("#edit_vCat_Sexo #vCat_Sexo").focus();
      return false
      }


       if (Genero ==''){
        $.notify("Favor de capturar -Género-");
         $("#edit_vCat_Genero #vCat_Genero").focus();
      return false
      }


     if (SexoCurp ==''){
        $.notify("Favor de capturar -Sexo CURP-");
         $("#edit_vCat_SexoCurp #vCat_SexoCurp").focus();
      return false
      }

      if (EntidadFederativa ==''){
        $.notify("Favor de capturar -Entidad Federativa-");
         $("#tab_1 #edit_vCat_Entidades_fed #vCat_Entidades").focus();
      return false
      }

      if (MunicipioDom ==''){
        $.notify("Favor de capturar -Municipio-");
         $("#tab_1 #edit_vCat_Municipio_dom #vCat_Municipios").focus();
      return false
      }
       
      if (LocalidadDom ==''){
        $.notify("Favor de capturar -Localidad-");
         $("#tab_1 #edit_vCat_Localidad_dom #vCat_Localidades").focus();
      return false
      }

     /* if(Calle.length < 2){
        $.notify("Es necesario que proporcione -calle- del domicilio", "error");
        $('#tab_1 #txtCalle').focus();
        return false;
      } 
   
      if(EntreCalles.length < 2){
        $.notify("Es necesario que proporcione -Entre calles- del domicilio", "error");
        $('#tab_1 #txtEntreCalles').focus();
        return false;
      } 
      */
     
      var NombresEmergencia = $('#tab_2 #txtNombresEmerg').val(); 
      var PrimerApEmergencia = $('#tab_2 #txtPrimerApEmerg').val();
      var SegundoApEmergencia = $('#tab_2 #txtSegundoApEmerg').val();
      var ParentescoEmergencia = $('#tab_2 #vCat_Parentescos').val();
      var PaisResidenciaEmergencia = $('#tab_2 #vCat_Paises').val();

     
      var EntidadEmergencia = $('#tab_2 #entFedEmerg #edit_vCat_Entidades_fed_emer #vCat_Entidades').val();
      var MunicipioEmergencia = $('#tab_2 #edit_vCat_Municipio_emer #vCat_Municipios').val();
      var LocalidadEmergencia = $('#tab_2 #edit_vCat_Localidad_emer #vCat_Localidad ').val();
      if (LocalidadEmergencia === undefined){
        LocalidadEmergencia='';
      } 
      var localidad_emer = $('#tab_2 #localidad_emer').val();

      var CodigoPostalEmergencia = $('#tab_2 #edit_vCat_CPostal_emer #vCat_CodigosPostales').val();
      if (CodigoPostalEmergencia === undefined){
        CodigoPostalEmergencia='';
      } else {
          CodigoPostalEmergencia = CodigoPostalEmergencia.substring(0, 5);
      } 
      var cp_emer = $('#tab_2 #cp_emer').val();
     

      var TipoAsentamientoEmergencia = $('#tab_2 #tipoAsentamiento_eme #vCat_TipoAsentamiento').val();

      var AsentamientoEmergencia = $('#tab_2 #edit_vCat_Asentamiento_eme #vCat_Asentamientos').val();
      var asentEmerg = $('#tab_2 #asentamiento_eme').val();
     
      if (AsentamientoEmergencia === undefined){
        AsentamientoEmergencia='';
      } 

      var TipoVialidadEmergencia = $('#tab_2 #tipoVialidad_eme #vCat_TipoVialidad').val();
      var CalleEmergencia = $('#tab_2 #CalleEmergencia').val();
      var NumExteriorEmergencia = $('#tab_2 #txtNExtEmer').val();
      var LetraExteriorEmergencia= $('#tab_2 #txtNExtLetEmer').val();
      var NumInteriorEmergencia = $('#tab_2 #txtNIntEmer').val();

      var LetraInteriorEmergencia = $('#tab_2 #txtNIntLetEmer').val();
      var TelefonoEmergencia = $('#tab_2 #TelefonoEmergencia').val();
      var TelefonoCelularEmergencia = $('#tab_2 #TelefonoCelularEmergencia').val();
      var EmailEmergencia = $('#tab_2 #EmailEmergencia').val();
      var poliza ='';


      /*if(TelefonoEmergencia.length > 0 && TelefonoEmergencia.length < 10) {
        $.notify("Es necesario que proporcione -Teléfono de emergencia- completo a 10 caracteres", "error");
        $('#tab_2 #TelefonoEmergencia').focus();
        return false;
      }

      if(TelefonoCelularEmergencia.length > 0 && TelefonoCelularEmergencia.length < 10) {
        $.notify("Es necesario que proporcione -Teléfono de Celular emergencia- completo a 10 caracteres", "error");
        $('#tab_2 #TelefonoCelularEmergencia').focus();
        return false;
      }
      */

        PerteneceIndigena ='0';
        PerteneceProspera = '0';
        PerteneceMigrante = '0';
         
        if ($('#indigena').prop('checked')) {
           PerteneceIndigena ='1';
        }
         
        if ($('#prospera').prop('checked')) {
           PerteneceProspera ='1';
           FolioProspera = $('#folio_prospera').val();  
           ConsecutivoProspera = $('#ConsecutivoProspera').val(); 
        }

        if ($('#migrante').prop('checked')) {
           PerteneceMigrante ='1';
        }
        
        if (PerteneceProspera== '1' &&  FolioProspera.length < 14) {
          $.notify("Es necesario que proporcione -Folio Prospera- completo, mínimo 14 caracteres", "error");
          $('#folio_prospera').focus();
          return false;
        }

        if(Dificultad=='9') {
          GradoDificultad ='9';
          OrigenDificultad ='9';
        }

      /*  if (SeConsideraIndigena =='' ){
          $.notify("Favor de capturar si se considera Indigena");
          $("#edit_vCat_SeConsideraIndigena #vCat_SeConsideraIndigena").focus();
          return false
        }
         if (migrante =='' ){
          $.notify("Favor de capturar si es migrante");
          $("#edit_vCat_TipoMigrante #vCat_TipoMigrante").focus();
          return false
        }

         if (afromexicano ==''){
          $.notify("Favor de capturar si es afromexicano");
          $("#edit_vCat_Afromexicano #vCat_Afromexicano").focus();
          return false
        }
    */
        //------------------------------Envio de parametros -----------------------
      var parametros = {"centro_sal": '{!! $Centro_Sal !!}',
                        "NExp": $.trim(NExp)+'',
                        "Nombre": $.trim(Nombres)+'',
                        "PrimerAp": $.trim(PrimerAp)+'',
                        "SegundoAp":$.trim(SegundoAp)+'',
                        "Curp": $.trim(Curp)+'',
                        "FechaNac": $.trim(FNac)+'',
                        "HoraNac": $.trim(HoraNac)+'',
                        "CUN": $.trim(Certificado_nac)+'',
                        "Sexo": Sexo+'',
                        "GSanguineo": GpoSanguineo+'',
                        "Religion": Religion+'',
                        "EntidadNac": EntidadNacimiento+'',
                        "Nacionalidad": Nacionalidad+'',
                        "TipoBeneficiario": TipoBeneficiario+'',
                        "OcupacionHab": Ocupacion+'',
                        "PerteneceIndigena":SeConsideraIndigena+'',
                        "PerteneceMigrante": $.trim(PerteneceMigrante)+'',
                        "PerteneceProspera":$.trim(PerteneceProspera)+'',
                        "FolioProspera": $.trim(FolioProspera)+'',
                        "ConsecutivoProspera": $.trim(ConsecutivoProspera)+'',
                        "HablaLIndigena": HablaLengInd+'',
                        "LenguaIndigena": TipoLengua+'',
                        "DerechoHabiencia": Derechohabiencia +'',
                        "FolioDerechoHab": $.trim(folio)+'',
                        "ConsecutivoDerechoHab": $.trim(Consecutivo)+'',
                        "VigenciaIniDerechoHab": $.trim(VigenciaIni)+'', 
                        "VigenciaFinDerechoHab": $.trim(VigenciaFin) +'',
                      //  "EntidadAfiliacion":EntidadAfiliacion +'',
                        "DependenciaAfiliacion":Dependencia +'',
                        "ClavePrograma": Programa +'',
                        "PaisResidencia": Pais+'',
                        "EntidadResidencia": EntidadFederativa+'',
                        "MunicipioResidencia": MunicipioDom+'',
                        "LocalidadResidencia": LocalidadDom+'',
                        "AceptaVisitaDom": AceptaVisitaDom+'',
                        "CodigoPostalResidencia": CodigoPostal+'',
                        "TipoAsentamientoResidencia": TipoAsentamiento+'',
                        "AsentamientoResidencia": Asentamiento+'',
                        "TipoVialidadResidencia": TipoVialidad+'',
                        "CalleResidencia": $.trim(Calle)+'',
                        "NumeroExtResidencia": $.trim(NumExterior)+'',
                        "LetraExtResidencia": $.trim(LetraExterior)+'',
                        "NumeroIntResidencia": $.trim(NumInterior)+'',
                        "LetraIntResidencia": $.trim(LetraInterior)+'',
                        "EntreCallesResidencia": $.trim(EntreCalles)+'',
                        "ClaveCatastralResidencia": $.trim(ClaveCatastral)+'',
                        "TelefonoResidencia": $.trim(Telefono)+'',
                        "TelefonoCelularResidencia": $.trim(Celular)+'', 
                        "EmailPaciente": $.trim(Email)+'',
                        "NombreEmergencia": $.trim(NombresEmergencia)+'', 
                        "PrimerApEmergencia": $.trim(PrimerApEmergencia)+'', 
                        "SegundoApEmergencia": $.trim(SegundoApEmergencia)+'', 
                        "ParentescoEmergencia": ParentescoEmergencia+'', 
                        "PaisEmergencia": PaisResidenciaEmergencia+'', 
                        "EntidadEmergencia": EntidadEmergencia+'', 
                        "MunicipioEmergencia": MunicipioEmergencia+'', 
                        "LocalidadEmergencia": LocalidadEmergencia+'', 
                        "CodigoPostalEmergencia": CodigoPostalEmergencia+'', 
                        "TipoAsentamientoEmergencia": TipoAsentamientoEmergencia+'', 
                        "AsentamientoEmergencia": AsentamientoEmergencia+'', 
                        "TipoVialidadEmergencia": TipoVialidadEmergencia+'', 
                        "CalleEmergencia": $.trim(CalleEmergencia)+'', 
                        "NumeroExtEmergencia": $.trim(NumExteriorEmergencia)+'', 
                        "LetraExtEmergencia": $.trim(LetraExteriorEmergencia)+'', 
                        "NumeroIntEmergencia": $.trim(NumInteriorEmergencia)+'', 
                        "LetraIntEmergencia": $.trim(LetraInteriorEmergencia)+'', 
                        "TelefonoEmergencia": $.trim(TelefonoEmergencia)+'', 
                        "TelefonoCelularEmergencia": $.trim(TelefonoCelularEmergencia)+'', 
                        "EmailEmergencia": $.trim(EmailEmergencia)+'', 
                        "ID_DIFICULTAD": Dificultad+'',
                        "poliza": $.trim(poliza)+'', 
                        "id_disc_grado": GradoDificultad+'',
                        "id_disc_origen": OrigenDificultad+'',
                        "id_genero": Genero+'',
                        "id_sexoCurp": SexoCurp+'',
                        "id_migrante": migrante+'',
                        "id_pais_procedencia": paisProcedencia+'',
                        "afromexicano": afromexicano+'',
                        "tipo": tipo+''
                        };
      


//console.log(parametros);
    $('#objBuscarPaciente #resultadosContainer #divCmdRegistrar_pac #cmdRegistrar_pac').hide();
      jqGetAjaxShort('RegistrarPaciente_AddFiliacion','divCmdRegistrar_pac', parametros);

  });


// ------------------------------Modificar Paciente----------------------------------------------------
   $(document).on('click', '#resultadosContainer #divCmdRegistrar_pac #cmdActualizar_pac', function () {
   
    
      var Derechohabiencia = $('#edit_vCat_Derechohabiencia #vCat_Derechohabiencia').val();
      var folio = $('#folio_afiliacion #txtFolio').val();
      var Consecutivo = $('#folio_afiliacion #txtConsecutivo').val(); 
      var VigenciaIni = $('#vigencia #txtVigenciaIni').val(); 
      var VigenciaFin = $('#txtVigenciaFin').val();
      var NExp = $('#divNumExp #txtNExp').val();  
      var clave_pac = $('#h_clave_pac').val();
      var tipo = '1';

     if(Derechohabiencia =='')
     {
      $.notify("Favor de especificar -Derechohabiencia-");
      $("#edit_vCat_Derechohabiencia #vCat_Derechohabiencia").focus();
      return false  

     }


      if((Derechohabiencia =='0' || Derechohabiencia=='15') && ($("#folio_afiliacion #txtFolio").val().length < 10) ){
            $.notify("Favor de capturar -Folio Seguro Popular-");
            $("#folio_afiliacion #txtFolio").focus();
            return false  

        } 

   
       
      
      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (Consecutivo < 1 || Consecutivo =='')) {

        $.notify("Favor de capturar -Consecutivo- de folio de afiliación");
        $("#folio_afiliacion #txtConsecutivo").focus();
         return false  

      }
  
      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (VigenciaIni.length != 10)) {
        $.notify("Favor de capturar -Inicio de Vigencia-");
        $("#txtVigenciaIni").focus();
         return false  

      }

      if((Derechohabiencia =='0' || Derechohabiencia=='15') && (VigenciaFin.length != 10)) {
        $.notify("Favor de capturar -Fin de Vigencia-");
        $("#txtVigenciaFin").focus();
         return false  

      }

      var Curp = $('#curp #txtCurp').val();
     /* if(Curp.length < 18){
        $.notify("Es necesario que proporcione -Curp-", "error");
        $('#curp #txtCurp').focus();
        return false;
      } */
    //  var EntidadAfiliacion = $('#entidad_afiliacion #vCat_Entidades').val();
      var Certificado_nac = $('#CUN').val();
      var GpoSanguineo = $('#vCat_GrupoSanguineo').val();
      var Dificultad = $('#edit_vCat_Dificultad #vCat_Dificultad').val();  

      var GradoDificultad = $('#edit_vCat_GradoDeDificultad #vCat_GradoDeDificultad').val();  
      var OrigenDificultad = $('#edit_vCat_OrigenDeDificultad #vCat_OrigenDeDificultad').val();  
      var Dependencia = $('#vCat_Dependencia').val();  
      var Programa = $('#vCat_Programa').val(); 
      var TipoBeneficiario = $('#vCat_TipoBeneficiario').val();

      var Ocupacion = $('#vCat_Ocupacion').val();
      var Religion = $('#vCat_Religion').val();
      var Nacionalidad = $('#vCat_Nacionalidad').val();
      var EntidadNacimiento = $('#edit_vCat_Entidades_nac #vCat_Entidades').val();  
      var HablaLengInd = $('input:radio[name=hablaLengInd]:checked').val();

      if (HablaLengInd === undefined){
        HablaLengInd = 3;  }
      else   {
         HablaLengInd = HablaLengInd;
      } 

     var SeConsideraIndigena = $('#edit_vCat_SeConsideraIndigena #vCat_SeConsideraIndigena').val(); 

      var TipoLengua = $('#lenguasIndDiv #vCat_LenguasIndigenas').val();  
      var Nombres = $('#txtNombres').val();
      var PrimerAp = $('#txtPrimerAp').val();
      var SegundoAp = $('#txtSegundoAp').val();
      var FNac = $('#txtFNac').val();
      var HoraNac = $('#HoraNac').val();
      var Sexo = $('#edit_vCat_Sexo #vCat_Sexo').val();  
      var SexoCurp = $('#edit_vCat_SexoCurp #vCat_SexoCurp').val();   
      var migrante = $('#edit_vCat_TipoMigrante #vCat_TipoMigrante').val(); 
      var paisProcedencia = $('#edit_vCat_PaisProcedencia #vCat_Nacionalidad').val(); 

      var afromexicano = $('#edit_vCat_Afromexicano #vCat_Afromexicano').val(); 

      var Genero = $('#edit_vCat_Genero #vCat_Genero').val();  
      var PerteneceIndigena = $('#indigena').val();
      var PerteneceMigrante = $('#migrante').val();
      var PerteneceProspera = $('#prospera').val();

      var FolioProspera = '0';
      var ConsecutivoProspera = '0'; 
      var Pais = $('#tab_1 #vCat_Paises').val();
      var EntidadFederativa = $('#tab_1 #edit_vCat_Entidades_fed #vCat_Entidades').val();  
      var MunicipioDom = $('#tab_1 #edit_vCat_Municipio_dom #vCat_Municipios').val();  
      var LocalidadDom = $('#tab_1 #edit_vCat_Localidad_dom #vCat_Localidad').val();  
      if (LocalidadDom === undefined){
        LocalidadDom = $('#tab_1 #edit_vCat_Localidad_dom #vCat_Localidades').val();  }
      else   {
         LocalidadDom = LocalidadDom;
      } 

      var otra_localidad = $('#tab_1 #cnt_otra_localidad #txt_otralocalidad').val(); 

      var AceptaVisitaDom = $('#tab_1 #AceptaVisitaDom').val();  
      var CodigoPostal = $('#tab_1 #edit_vCat_CPostal_dom #vCat_CodigosPostales').val();
      if (CodigoPostal === undefined){
        CodigoPostal=''; }
      else   {
         CodigoPostal = CodigoPostal.substring(0, 5);
      } 
     
      var TipoAsentamiento = $('#tab_1 #edit_vCat_TipoAsent_dom #vCat_TipoAsentamiento').val();
      var Asentamiento = $('#tab_1 #edit_vCat_Asentamiento_dom #vCat_Asentamientos').val();  
      var TipoVialidad = $('#tab_1 #edit_vCat_TipoVialidad_dom #vCat_TipoVialidad').val();  
      var Calle = $('#tab_1 #txtCalle').val();
      
      var NumExterior = $('#tab_1 #txtNExt').val();
      var LetraExterior = $('#tab_1 #txtNExtL').val();
      var NumInterior = $('#tab_1 #txtNInt').val();
      var LetraInterior = $('#tab_1 #txtNIntL').val();
      var EntreCalles = $('#tab_1 #txtEntreCalles').val();
      var ClaveCatastral = $('#tab_1 #claveCatastralResidencia').val();
      var Telefono = $('#tab_1 #txtTelefono').val();
      var Celular = $('#tab_1 #txtCelular').val();
      var Email =  $('#tab_1 #txtEmail').val();

      if (Certificado_nac ==''){
       Certificado_nac ='';
      }
     
     if (FolioProspera =='0'){
       FolioProspera ='';
      }

       if ($('#AceptaVisitaDom').prop('checked')) {
           AceptaVisitaDom ='1';
           } else {
            AceptaVisitaDom ='0';
           }

       



     /* if (EntidadAfiliacion ==''){
        $.notify("Favor de capturar -Entidad de Afiliación-");
         $("#entidad_afiliacion #vCat_Entidades").focus();
        return false
      }*/

    /*  if (TipoBeneficiario ==''){
        $.notify("Favor de capturar -Tipo de Beneficiario-");
         $("#vCat_TipoBeneficiario").focus();
        return false
      } */

      if (EntidadNacimiento ==''){
        $.notify("Favor de capturar -Entidad de Nacimiento-");
         $("#edit_vCat_Entidades_nac #vCat_Entidades").focus();
        return false
      }

      if (Nacionalidad ==''){
        $.notify("Favor de capturar -Nacionalidad-");
         $("#vCat_Nacionalidad").focus();
        return false
      }

    
 

      if(Nombres.length < 2){
        $.notify("Es necesario que proporcione -Nombre completo-", "error");
        $('#txtNombres').focus();
        return false;
      } 
    
     if(PrimerAp.length < 2){
        $.notify("Es necesario que proporcione -Primer Apellido-", "error");
        $('#txtPrimerAp').focus();
        return false;
      } 
     

      if(FNac.length < 10){
        $.notify("Es necesario que proporcione -Fecha de Nacimiento-", "error");
        $('#txtFNac').focus();
        return false;
      } 

      if (Sexo ==''){
        $.notify("Favor de capturar -Sexo biológico-");
         $("#edit_vCat_Sexo #vCat_Sexo").focus();
      return false
      }


      if (Genero ==''){
        $.notify("Favor de capturar -Género-");
         $("#edit_vCat_Genero #vCat_Genero").focus();
      return false
      }

       if (SexoCurp ==''){
        $.notify("Favor de capturar -Sexo CURP-");
         $("#edit_vCat_SexoCurp #vCat_SexoCurp").focus();
      return false
      }

      if (EntidadFederativa ==''){
        $.notify("Favor de capturar -Entidad Federativa-");
         $("#tab_1 #edit_vCat_Entidades_fed #vCat_Entidades").focus();
      return false
      }

      if (MunicipioDom ==''){
        $.notify("Favor de capturar -Municipio-");
         $("#tab_1 #edit_vCat_Municipio_dom #vCat_Municipios").focus();
      return false
      }
       
      if (LocalidadDom ==''){
        $.notify("Favor de capturar -Localidad-");
         $("#tab_1 #edit_vCat_Localidad_dom #vCat_Localidades").focus();
      return false
      }
     /* if(Calle.length < 2){
        $.notify("Es necesario que proporcione -calle- del domicilio", "error");
        $('#tab_1 #txtCalle').focus();
        return false;
      }  */
   
      /*if(EntreCalles.length < 2){
        $.notify("Es necesario que proporcione -Entre calles- del domicilio", "error");
        $('#tab_1 #txtEntreCalles').focus();
        return false;
      } 
      */
     
      var NombresEmergencia = $('#tab_2 #txtNombresEmerg').val(); 
      var PrimerApEmergencia = $('#tab_2 #txtPrimerApEmerg').val();
      var SegundoApEmergencia = $('#tab_2 #txtSegundoApEmerg').val();
      var ParentescoEmergencia = $('#tab_2 #vCat_Parentescos').val();
      var PaisResidenciaEmergencia = $('#tab_2 #vCat_Paises').val();

     
      var EntidadEmergencia = $('#tab_2 #entFedEmerg #edit_vCat_Entidades_fed_emer #vCat_Entidades').val();
      var MunicipioEmergencia = $('#tab_2 #edit_vCat_Municipio_emer #vCat_Municipios').val();
      var LocalidadEmergencia = $('#tab_2 #edit_vCat_Localidad_emer #vCat_Localidad ').val();
      if (LocalidadEmergencia === undefined){
        LocalidadEmergencia='';
      } 
      var localidad_emer = $('#tab_2 #localidad_emer').val();

      var CodigoPostalEmergencia = $('#tab_2 #edit_vCat_CPostal_emer #vCat_CodigosPostales').val();
      if (CodigoPostalEmergencia === undefined){
        CodigoPostalEmergencia='';
      } else {
          CodigoPostalEmergencia = CodigoPostalEmergencia.substring(0, 5);
      } 
      var cp_emer = $('#tab_2 #cp_emer').val();
     

      var TipoAsentamientoEmergencia = $('#tab_2 #tipoAsentamiento_eme #vCat_TipoAsentamiento').val();

      var AsentamientoEmergencia = $('#tab_2 #edit_vCat_Asentamiento_eme #vCat_Asentamientos').val();
      var asentEmerg = $('#tab_2 #asentamiento_eme').val();
     
      if (AsentamientoEmergencia === undefined){
        AsentamientoEmergencia='';
      } 

      var TipoVialidadEmergencia = $('#tab_2 #tipoVialidad_eme #vCat_TipoVialidad').val();
      var CalleEmergencia = $('#tab_2 #CalleEmergencia').val();
      var NumExteriorEmergencia = $('#tab_2 #txtNExtEmer').val();
      var LetraExteriorEmergencia= $('#tab_2 #txtNExtLetEmer').val();
      var NumInteriorEmergencia = $('#tab_2 #txtNIntEmer').val();

      var LetraInteriorEmergencia = $('#tab_2 #txtNIntLetEmer').val();
      var TelefonoEmergencia = $('#tab_2 #TelefonoEmergencia').val();
      var TelefonoCelularEmergencia = $('#tab_2 #TelefonoCelularEmergencia').val();
      var EmailEmergencia = $('#tab_2 #EmailEmergencia').val();
      var poliza ='';


      if(TelefonoEmergencia.length > 0 && TelefonoEmergencia.length < 10) {
        $.notify("Es necesario que proporcione -Teléfono de emergencia- completo a 10 caracteres", "error");
        $('#tab_2 #TelefonoEmergencia').focus();
        return false;
      }

      if(TelefonoCelularEmergencia.length > 0 && TelefonoCelularEmergencia.length < 10) {
        $.notify("Es necesario que proporcione -Teléfono de Celular emergencia- completo a 10 caracteres", "error");
        $('#tab_2 #TelefonoCelularEmergencia').focus();
        return false;
      }

        PerteneceIndigena ='0';
        PerteneceProspera = '0';
        PerteneceMigrante = '0';
         
        if ($('#indigena').prop('checked')) {
           PerteneceIndigena ='1';
        }
         
        if ($('#prospera').prop('checked')) {
           PerteneceProspera ='1';
           FolioProspera = $('#folio_prospera').val();  
           ConsecutivoProspera = $('#ConsecutivoProspera').val(); 
        }

        if ($('#migrante').prop('checked')) {
           PerteneceMigrante ='1';
        }
        
        if (PerteneceProspera== '1' &&  FolioProspera.length < 14) {
          $.notify("Es necesario que proporcione -Folio Prospera- completo, mínimo 14 caracteres", "error");
          $('#folio_prospera').focus();
          return false;
        }

        if(Dificultad=='9') {
          GradoDificultad ='9';
          OrigenDificultad ='9';
        }

       /* if (SeConsideraIndigena =='' ){
          $.notify("Favor de capturar si se considera Indigena");
          $("#edit_vCat_SeConsideraIndigena #vCat_SeConsideraIndigena").focus();
          return false
        }

        if (migrante =='' ){
          $.notify("Favor de capturar si es migrante");
          $("#edit_vCat_TipoMigrante #vCat_TipoMigrante").focus();
          return false
        }

         if (afromexicano ==''){
          $.notify("Favor de capturar si es afromexicano");
          $("#edit_vCat_Afromexicano #vCat_Afromexicano").focus();
          return false
        } */


      var fnac= FNac + ' ' + HoraNac;
     
        //------------------------------Envio de parametros -----------------------
      var parametros = {"centro_sal": '{!! $Centro_Sal !!}',
                        "clave_pac": clave_pac+'',
                        "NExp": $.trim(NExp)+'',
                        "Nombre": $.trim(Nombres)+'',
                        "PrimerAp": $.trim(PrimerAp)+'',
                        "SegundoAp":$.trim(SegundoAp)+'',
                        "Curp": $.trim(Curp)+'',
                        "FechaNac": $.trim(fnac)+'',
                        "HoraNac": $.trim(HoraNac)+'',
                        "CUN": $.trim(Certificado_nac)+'',
                        "Sexo": Sexo+'',
                        "GSanguineo": GpoSanguineo+'',
                        "Religion": Religion+'',
                        "EntidadNac": EntidadNacimiento+'',
                        "Nacionalidad": Nacionalidad+'',
                        "TipoBeneficiario": TipoBeneficiario+'',
                        "OcupacionHab": Ocupacion+'',
                        "PerteneceIndigena":SeConsideraIndigena+'',
                        "PerteneceMigrante": $.trim(PerteneceMigrante)+'',
                        "PerteneceProspera":$.trim(PerteneceProspera)+'',
                        "FolioProspera": $.trim(FolioProspera)+'',
                        "ConsecutivoProspera": $.trim(ConsecutivoProspera)+'',
                        "HablaLIndigena": HablaLengInd+'',
                        "LenguaIndigena": TipoLengua+'',
                        "DerechoHabiencia": Derechohabiencia +'',
                        "FolioDerechoHab": $.trim(folio)+'',
                        "ConsecutivoDerechoHab": $.trim(Consecutivo)+'',
                        "VigenciaIniDerechoHab": $.trim(VigenciaIni)+'', 
                        "VigenciaFinDerechoHab": $.trim(VigenciaFin) +'',
                        //"EntidadAfiliacion":EntidadAfiliacion +'',
                        "DependenciaAfiliacion":Dependencia +'',
                        "ClavePrograma": $.trim(Programa) +'',
                        "PaisResidencia": Pais+'',
                        "EntidadResidencia": EntidadFederativa+'',
                        "MunicipioResidencia": MunicipioDom+'',
                        "LocalidadResidencia": LocalidadDom+'',
                        "AceptaVisitaDom": AceptaVisitaDom+'',
                        "CodigoPostalResidencia": CodigoPostal+'',
                        "AsentamientoResidencia": Asentamiento+'',
                        "TipoVialidadResidencia": TipoVialidad+'',
                        "TipoAsentamientoResidencia": TipoAsentamiento+'',
                        "CalleResidencia": $.trim(Calle)+'',
                        "NumeroExtResidencia": $.trim(NumExterior)+'',
                        "LetraExtResidencia": $.trim(LetraExterior)+'',
                        "NumeroIntResidencia": $.trim(NumInterior)+'',
                        "LetraIntResidencia": $.trim(LetraInterior)+'',
                        "EntreCallesResidencia": $.trim(EntreCalles)+'',
                        "ClaveCatastralResidencia": $.trim(ClaveCatastral)+'',
                        "TelefonoResidencia": $.trim(Telefono)+'',
                        "TelefonoCelularResidencia": $.trim(Celular)+'', 
                        "EmailPaciente": $.trim(Email)+'',
                        "NombreEmergencia": $.trim(NombresEmergencia)+'', 
                        "PrimerApEmergencia": $.trim(PrimerApEmergencia)+'', 
                        "SegundoApEmergencia": $.trim(SegundoApEmergencia)+'', 
                        "ParentescoEmergencia": ParentescoEmergencia+'', 
                        "PaisEmergencia": PaisResidenciaEmergencia+'', 
                        "EntidadEmergencia": EntidadEmergencia+'', 
                        "MunicipioEmergencia": MunicipioEmergencia+'', 
                        "LocalidadEmergencia": LocalidadEmergencia+'', 
                        "CodigoPostalEmergencia": CodigoPostalEmergencia+'', 
                        "TipoAsentamientoEmergencia": TipoAsentamientoEmergencia+'', 
                        "AsentamientoEmergencia": AsentamientoEmergencia+'', 
                        "TipoVialidadEmergencia": TipoVialidadEmergencia+'', 
                        "CalleEmergencia": $.trim(CalleEmergencia)+'', 
                        "NumeroExtEmergencia": $.trim(NumExteriorEmergencia)+'', 
                        "LetraExtEmergencia": $.trim(LetraExteriorEmergencia)+'', 
                        "NumeroIntEmergencia": $.trim(NumInteriorEmergencia)+'', 
                        "LetraIntEmergencia": $.trim(LetraInteriorEmergencia)+'', 
                        "TelefonoEmergencia": $.trim(TelefonoEmergencia)+'', 
                        "TelefonoCelularEmergencia": $.trim(TelefonoCelularEmergencia)+'', 
                        "EmailEmergencia": $.trim(EmailEmergencia)+'', 
                        "ID_DIFICULTAD": Dificultad+'',
                        "poliza": $.trim(poliza)+'', 
                        "id_disc_grado": GradoDificultad+'',
                        "id_disc_origen": OrigenDificultad+'',
                        "id_genero": Genero+'',
                        "id_sexoCurp": SexoCurp+'',
                        "id_migrante": migrante+'',
                        "id_pais_procedencia": paisProcedencia+'',
                        "afromexicano": afromexicano+'',
                        "tipo": tipo+'',
                        "otra_localidad": $.trim(otra_localidad)+''
                        };
      
   //addContainer

    // console.log(parametros);
    $('#resultadosContainer #divCmdRegistrar_pac #cmdRegistrar_pac').hide();
    jqGetAjaxShort("ActualizarFiliacion","divCmdRegistrar_pac", parametros);

  }); 

$(document).on('click', '#divCmdRegistrar_pac #cmdContinuar', function () {
   $('#divBusquedaPac #btn_buscar_bp').click(); 
  });

  function SoloNumeros(e) {
  var key;

if (window.event) // IE/Crome/
{
    key = e.keyCode;
}
else if (e.which) //Firefox/Opera/
{
    key = e.which;
}

if (key < 48 || key > 57 ) {
    return false;
}

return true;
} 

//


       

    
  </script>
@endsection
